<?
$sub_menu = "200100";
include_once("./_common.php");

check_demo();

auth_check($auth[$sub_menu], "d");

$mb = get_member($_POST['mb_id']);

if (!$mb[mb_id])
    alert("查询的会员资料不存在");
else if ($member[mb_id] == $mb[mb_id])
    alert("无法删除登录状态的管理员");
else if (is_admin($mb[mb_id]) == "super")
    alert("无法删除网站管理员");
else if ($mb[mb_level] >= $member[mb_level])
    alert("无法删除与自己等级相同或高的会员帐户");

check_token();

// 删除会员
member_delete($mb[mb_id]);

if ($url)
    goto_url("{$url}?$qstr&w=u&mb_id=$mb_id");
else
    goto_url("./member_list.php?$qstr");
?>
